GCMP(1L)

NAME
cmp - compare two files

SYNOPSIS
cmp [-cls] [+show-chars] [+verbose] [+silent] [+quiet] file1 [file2]

DESCRIPTION
This manual page documents the GNU version of cmp. cmp compares the two given files, and if they differ, tells the first byte and line number where they differ. The file name `-' is always the standard input. If one file name is omitted, the standard input is used as well.

It exits with the value

0   The files are identical.

1   The files differ.

2   An error occurred.

  OPTIONS

-c, +show-chars
    Print the differing characters like `cat -t' (except that newlines are printed as `^J').

-l, +verbose
    Print the (decimal) offsets and (octal) values of all differing bytes.

-s, +silent, +quiet
    Do not print anything; only return an exit status indicating whether the files differ.